<?php
    defined('BASEPATH') OR exit('No direct script access allowed');
    class Dashboard extends CI_Controller {

        function __construct() {
            parent::__construct();
            $this->load->helper('url');
            $this->load->model('announcement_model');
            $this->load->model('achievement_model');
            $this->load->model('customer_service_model');
            $this->load->model("video_model");
            $this->load->library('session');
        }

        public function index() {
            $data['announcement'] = $this->announcement_model->get_announcements();
            $data['achievement'] = $this->achievement_model->get_achievements();
            $data["video"]=$this->video_model->fetch_data();
            $this->showDashboard($data);
        }

        public function showDashboard($data) {
            $this->load->view("dashboard/index", $data);
        }

        public function loginCS(){
            $data["cs"] = $this->customer_service_model->get_cs_data();
            $this->load->view("dashboard/logincs", $data);
        }

        public function getCS(){
            $data = $this->input->get('data');
            $data = $this->customer_service_model->get_cs_data();

            echo json_encode($data);
        }

        public function update_cs_status(){
            $csnum = (int)$_POST['cs'];
            $data['csnum'] = $csnum;

            $this->load->view("dashboard/dashboardcs", $data);
        }

        public function hold() {
            $this->customer_service_model->hold();
            $this->load->view("dashboard/dashboardcs");
        }

        public function logout_cs(){
            $this->customer_service_model->logout();
            unset($_SESSION['currentcs']);
            $this->load->view("dashboard/logincs");
        }

        public function getNextQueue(){
            $num = (int)$_SESSION["currentcs"];

            $array_of_waiting = $this->customer_service_model->get_next_person_in_queue();

            $csnum = (int)$_SESSION['currentcs'];

            if(empty($array_of_waiting)){
                $this->customer_service_model->set_customer_empty($csnum);
                echo 'None';
            }
            else{
                $customer_name = $array_of_waiting[0]['nama'];
                $customer_number = $array_of_waiting[0]['nomor'];
                $this->customer_service_model->set_customer_done($customer_number);

                $this->customer_service_model->change_customer_for_cs($csnum, $customer_name, $customer_number);

                echo $array_of_waiting[0]['nomor'];
            }
        }
    }
?>