<?php
/* Example print-outs using the older bit image print command */
require __DIR__ . '/../autoload.php';
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;

$connector = new WindowsPrintConnector("ZJ-58");
$printer = new Printer($connector);

try {
    $tux = EscposImage::load("../../img/logo-print.png", false);
    $footer = EscposImage::load("../../img/footer-print.png", false);

    $printer -> setJustification(Printer::JUSTIFY_CENTER);
    $printer -> bitImage($tux);
    $printer -> feed();
    $printer -> text("Lembaga Kemahasiswaan\n");
    $printer -> text("Institut Teknologi Bandung\n");
    $printer -> text("--------------------------\n");
    $printer -> feed();

    $printer -> text("NOMOR ANTREAN ANDA\n");
    $printer -> feed();

    $printer -> setTextSize(3,3);
    $printer -> text("1\n");
    $printer -> feed();
    
    $printer -> setTextSize(1,1);
    $printer -> text(date_default_timezone_set('Jakarta');
    $printer -> text(date("d/m/Y h:i:s A")."\n");
    $printer -> bitImage($footer);
    $printer -> feed(2);

} catch (Exception $e) {
    /* Images not supported on your PHP, or image file not found */
    $printer -> text($e -> getMessage() . "\n");
}

$printer -> cut();
$printer -> close();
