<?php

  class Registration_test extends TestCase {
    public $test_case = 1;

    public function setUp() {
      $this->resetInstance();
      $this->CI->load->model('queue_model');
      $this->CI->load->model('category_model');
      $this->CI->load->library('session');
      echo "\nRegistration Test\n\n";
    }

    public function tearDown() {
      echo "Test Case #".$this->test_case." PASSed.\n";
      $this->test_case++;
    }

    public function test_registration_queue() {
      $this->CI->session->set_userdata('role', 1);
      $this->CI->session->set_userdata('username', 'tester');
      $htmloutput = $this->request("GET", "registration/queue");
      $this->assertContains(
        '<a href="http://localhost/LKQueue/index.php/registration/category" class="shortcut-umum" style="line-height: 1500%"><span class="shortcut-label-umum">Umum</span> </a>', $htmloutput
      );
      $this->assertContains(
        '<a href="http://localhost/LKQueue/index.php/registration/input" class="shortcut-mahasiswa" style="line-height: 1500%"><span class="shortcut-label-mahasiswa">Mahasiswa</span></a>', $htmloutput
      );
      $this->assertResponseCode(200);
    }

    public function test_registration_category() {
        $data['category'] = $this->CI->category_model;
        $this->CI->session->set_userdata('role', 1);
        $this->CI->session->set_userdata('username', 'tester');
        $htmloutput = $this->request("GET", "registration/category");
        $this->assertContains(
            '<option value="Beasiswa">Beasiswa</option>', $htmloutput
        );
        $this->assertContains(
            '<option value="Kegiatan Mahasiswa">Kegiatan Mahasiswa</option>', $htmloutput
        );
        $this->assertContains(
            '<option value="Pengambilan Dana">Pengambilan Dana</option>', $htmloutput
        );
        $this->assertContains(
            '<option value="Lain-lain">Lain-lain</option>', $htmloutput
        );
        $this->assertResponseCode(200);
    }

    public function test_registration_input() {
        $data['category'] = $this->CI->category_model;
        $data['queue'] = $this->CI->queue_model;
        $this->CI->session->set_userdata('role', 1);
        $this->CI->session->set_userdata('username', 'tester');
        $htmloutput = $this->request("GET", "registration/input");
        $this->assertContains(
            '<input type="number" class="form-control" size="35" id="nim" placeholder="Nomor Induk Mahasiswa" name="nim" min="10000000" max="39999999" required="required"><br><br>', $htmloutput
        );
        $this->assertContains(
            '<input type="text" class="form-control" size="35" id="namaMhs" placeholder="Nama Mahasiswa" name="namaMhs" required="required" disabled><br><br>', $htmloutput
        );
        $this->assertContains(
            '<option value="Beasiswa">Beasiswa</option>', $htmloutput
        );
        $this->assertContains(
            '<option value="Kegiatan Mahasiswa">Kegiatan Mahasiswa</option>', $htmloutput
        );
        $this->assertContains(
            '<option value="Pengambilan Dana">Pengambilan Dana</option>', $htmloutput
        );
        $this->assertContains(
            '<option value="Lain-lain">Lain-lain</option>', $htmloutput
        );
        $this->assertResponseCode(200);
    }
  }
?>