<?php
  $role = $this->session->userdata('role');

  if (!$role) {
    session_destroy();
    redirect(base_url('index.php/login'));
  } else if ($role == 1) {
    redirect(base_url('index.php/registration/queue'));
  }
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>LKQueue - Dashboard</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
<meta name="apple-mobile-web-app-capable" content="yes">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="<?= base_url('assets/js/websocket_dashboard.js');?>"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link href="<?= base_url('assets/css/bootstrap-responsive.min.css');?>" rel="stylesheet">
<link href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,600italic,400,600"
        rel="stylesheet">
<link href="<?= base_url('assets/css/font-awesome.css');?>" rel="stylesheet">
<link href="<?= base_url('assets/css/style.css');?>" rel="stylesheet">
<link href="<?= base_url('assets/css/pages/dashboard.css');?>" rel="stylesheet">

<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
<!--[if lt IE 9]>
      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
<script>
  function startTime() {
      var today = new Date();
      var h = today.getHours();
      var m = today.getMinutes();
      var s = today.getSeconds();
      h = checkTime(h);
      m = checkTime(m);
      s = checkTime(s);
      document.getElementById('time').innerHTML =
      h + ":" + m + ":" + s;
      var t = setTimeout(startTime, 500);
      const MONTH_NAMES = ["Januari", "Februari", "Maret", "April", "Mei", "Juni", "Juli", "Agustus", "September", "Oktober", "November", "Desember"];
      const DAY_NAMES = ["Minggu", "Senin", "Selasa", "Rabu", "Kamis", "Jumat", "Sabtu"];
      var d = new Date();
      document.getElementById("date").innerHTML = DAY_NAMES[d.getDay()] + ", " + d.getDate() + ' ' + MONTH_NAMES[d.getMonth()] + ' ' + d.getFullYear();
  }
  function checkTime(i) {
      if (i < 10) {i = "0" + i};  // add zero in front of numbers < 10
      return i;
  }
</script>
</head>
<body scroll="no" style="overflow: auto;" onload="startTime(); javascript:WebSocketInit();">

  <div class="container-fluid">

    <div class="navbar navbar-fixed-top no-gutters" style="height: 10vh; padding-left: 5vh; padding-right: 6vh; padding-top: 1%; background-color:#4C9DD2">
      <a class="brand" href="<?= base_url();?>index.php/dashboard" style="text-decoration: none; color: white; font-size: 20pt; padding-top: 1.5%;"><img src="<?= base_url('assets/img/logo-lk.png');?>" width="60px" height="60px">&nbsp;&nbsp;&nbsp;Lembaga Kemahasiswaan ITB </a>

      <ul class="nav navbar-nav navbar-right" style="text-decoration: none; color: white; font-size: 15pt; padding-top: 1%;">
        <li><span id="date"></span></li>
        <li><span>&nbsp;&nbsp;</span></li>
        <li><span id="time"></span></li>
      </ul>
    </div>
        
    <div id="active-cs-list" class="row no-gutters" id="active-cs-list" style="height: 24vh">
    </div>

    <div class="row no-gutters" style="height: 60vh">
      <div class="col-lg-6">
        <div id="myCarousel" class="carousel slide" data-ride="carousel">

          <!-- Wrapper for slides -->
          <div class="carousel-inner">
            <?php
            $active = true;
              foreach($achievement as $achievement_item) {
                $photo_link = "https://kemahasiswaan.itb.ac.id/assets/berkas_penghargaan/".$achievement_item['id']."/".$achievement_item['foto'];
                if ($active) { ?>
                  <div class="item active" style="position: relative">
                    <img src=<?= $photo_link ?> alt="Photo" class="achievement-image">
                    <div class="carousel-caption">
                      <h3 class="achievement-caption name-caption"><?= $achievement_item['nama'] ?></h3>
                      <h4 class="achievement-caption info-caption"><?= $achievement_item['capaian'].
                      ' '.$achievement_item['penghargaan'].' pada '.$achievement_item['event'] ?></h4>
                    </div>
                  </div>
                  <?php $active = false;
                } else { ?>
                  <div class="item">
                    <img src=<?= $photo_link ?> alt="Photo" class="achievement-image">
                    <div class="carousel-caption">
                      <h3 class="achievement-caption name-caption"><?= $achievement_item['nama'] ?></h3>
                      <h4 class="achievement-caption info-caption"><?= $achievement_item['capaian'].
                    ' '.$achievement_item['penghargaan'].' pada '.$achievement_item['event'] ?></h4>
                    </div>    
                  </div>
                <?php } 
              } ?>
          </div>
        </div>
      </div>
      <div class="col-lg-6">
        <?php
          $i = 0;
          $video_titles = array();
          foreach($video as $video_data) {
            if (preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $video_data->url, $match)) {
              if ($i == 0) {
                $video_id[0] = $match[1];
              } else {
                $video_id[$i] = $match[1];
              }
              $i++;
            } else {
              echo "Link is not valid.";
            }
            array_push($video_titles, $video_data->judul_video);
          }
          $n = sizeof($video_id);
          echo '
            <div style="text-align: center; background-color: black; padding-top: 5px;">
              <span id="video_title" style="font-size: 16pt; color: white; align: center; padding-left: 10px;">'.$video_titles[0].'</span> 
            </div>
          ';
          if ($n > 1) {
            $unique_url = $video_id[1];
            for ($j = 2; $j < $n; $j++) {
              $unique_url = $unique_url.','.$video_id[$j];
            }
            echo '<iframe id="player" width="850" height="546" src="//www.youtube.com/embed/'.$video_id[0].'?playlist='.$unique_url.'&autoplay=1&loop=1&showinfo=0&controls=0&modestbranding=1&enablejsapi=1" frameborder="0" style="max-height: 60vh; width: 100%; margin: auto; padding: 0"></iframe>';
          } else {
            echo '<iframe id="player" width="850" height="546" src="//www.youtube.com/embed/'.$video_id[0].'?autoplay=1&loop=1&showinfo=0&controls=0&modestbranding=1&enablejsapi=1" frameborder="0" style="max-height: 60vh; width: 100%; margin: auto; padding: 0"></iframe>';
          }
        ?>
      </div>
    </div>

    <div class="row no-gutters" style="height: 6vh; background-color: #2C5095; color: black; padding-left: 5%">
      <div class="col-lg-12">
        <marquee class="news" behavior="scroll" direction="left">
          <?php
            $i = 0;
            foreach ($announcement as $announcement_title) {
              if ($i % 2 == 0) {?>
                <span style="color: white"> <?= $announcement_title.'.&nbsp;&nbsp;' ?>
              <?php } else { ?>
                <span style="color: #ccebff"> <?= $announcement_title.'.&nbsp;&nbsp;' ?>
              <?php }
              $i++;
            }
          ?>
        </marquee>
      </div>
    </div>
  </div>
<!-- <script type="text/javascript">
  function updateCSView(){
    $.ajax({
        url:"<?php /*echo base_url();*/?>index.php/getcsdata",
        dataType:'text',
        type:"GET",
        success: function(result){
            var obj = $.parseJSON(result);
            var i;
            var count = 0;
            for(i=0; i<obj.length; i++){
              if(obj[i].status === "active" || obj[i].status == "hold") {
                count++;
              }
            }

            var borderWidth = 2*obj.length*0.001;
            var boxWidth = (100-borderWidth)/count;

            $("#active-cs-list").empty();

            var j = 0;

            for(i=0; i<obj.length; i++){
              if(obj[i].status === "active"){
                if(j%2 === 0){
                  $("#active-cs-list").append("<div class=\"dynamic-cs no-gutters blue\" style=\"width:" + boxWidth + "%; float: left\"><h3 align=\"center\">CS " + obj[i].cs_num + "</h3><h1 align=\"center\">" + obj[i].customer_num + "</h1><h4 align=\"center\">"+ obj[i].customer_name +"</h4></div>");
                }
                else{
                  $("#active-cs-list").append("<div class=\"dynamic-cs no-gutters red\" style=\"width:" + boxWidth + "%; float: left\"><h3 align=\"center\">CS " + obj[i].cs_num + "</h3><h1 align=\"center\">" + obj[i].customer_num + "</h1><h4 align=\"center\">" + obj[i].customer_name + "</h4></div>");
                }
                j++;
              } else if(obj[i].status === "hold"){
                if(j%2 === 0){
                  $("#active-cs-list").append("<div class=\"dynamic-cs no-gutters blue\" style=\"width:" + boxWidth + "%; float: left\"><h3 align=\"center\">CS " + obj[i].cs_num + "</h3><h1 align=\"center\">" + obj[i].customer_num + "</h1><h4 align=\"center\">"+ "On Hold" +"</h4></div>");
                }
                else{
                  $("#active-cs-list").append("<div class=\"dynamic-cs no-gutters red\" style=\"width:" + boxWidth + "%; float: left\"><h3 align=\"center\">CS " + obj[i].cs_num + "</h3><h1 align=\"center\">" + obj[i].customer_num + "</h1><h4 align=\"center\">" + "On Hold" + "</h4></div>");
                }
                j++;
              }
            }
        }
    });
  }

  setInterval(updateCSView, 1000);
</script> -->
<script type="text/javascript" src="//www.youtube.com/iframe_api"></script>
<script>
  var youtube_player;
  var title_index = 0;
  var video_titles = <?php echo json_encode($video_titles); ?>;
  
  function onYouTubeIframeAPIReady() {
    youtube_player = new YT.Player('player', {
      events: {'onStateChange': onPlayerStateChange}
    });
  }

  function onPlayerStateChange(event) {
    if (event.data === 0) {
      title_index++;
      title_index = title_index % Object.keys(video_titles).length;
      changeTitle(title_index);
    }
  }

  function changeTitle(index) {
    var video_title_span = document.getElementById("video_title");
    video_title_span.innerHTML = video_titles[index];
  }
</script>
</body>
</html>